%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
%define version 0.2.2
%define kderelease 3
%define sourcedir unstable/apps/admin/

%define kdename  kcrontab
Name: %{kdename}
Summary: A crontab editor developed for KDE.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tgz
Patch0: %{kdename}-0.2.2-qtfix.patch
License: GPL
Group: Applications/System
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}

%description
Kcrontab provides a K Desktop Environment (KDE) visual interface for
editing individual crontabs.  Kcrontab saves the user from having to
remember what each field in a crontab means, in terms of hours/days,
etc.  You'll need to have X and KDE installed to use kcrontab.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}
%patch0 -p1 -b .qtfix
find . -name .deps | xargs rm -fr

%build
make -f Makefile.dist
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
%configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45
- use the configure macro

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- rebuild for 6.1

* Tue Apr 20 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
